Subject: [radext] #119: 'levels of compliance'?

From: "radext issue tracker" <[email-masked]>
Date: Wed, 23 May 2012 13:34:55 -0000

#119: 'levels of compliance'?

 I am uneasy about defining 'levels of compliance' as in section 1.3:

 > An implementation is not compliant if it fails to satisfy one or more of
 the must or must not requirements for the protocols it implements. An
 implementation that satisfies all the MUST, MUST NOT, SHOULD, and SHOULD
 NOT requirements for its protocols is said to be "unconditionally
 compliant"; one that satisfies all the MUST and MUST NOT requirements but
 not all the SHOULD or SHOULD NOT requirements for its protocols is said to
 be "conditionally compliant".

 What purpose does this serve? Do we have this in other RADIUS / RADEXT
 documents, are these specific to RADIUS?

-- 
-------------------------+-------------------------------------------------
 Reporter:  dromasca@…   |      Owner:  draft-ietf-radext-radius-
     Type:  defect       |  extensions@…
 Priority:  major        |     Status:  new
Component:  radius-      |  Milestone:  milestone1
  extensions             |    Version:  1.0
 Severity:  In WG Last   |   Keywords:
  Call                   |
-------------------------+-------------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/radext/trac/ticket/119>
radext <http://tools.ietf.org/radext/>

---

From: "radext issue tracker" <[email-masked]>
Date: Wed, 23 May 2012 14:01:38 -0000

Comment (by aland@…):

 This text is also in RFC 2865 Section 1.1.

 The text may not be strictly necessary.  I'm open to feedback.

 Severity:  In WG Last   |  Resolution:
 Keywords:               |

Ticket URL: <http://trac.tools.ietf.org/wg/radext/trac/ticket/119#comment:1>
radext <http://tools.ietf.org/radext/>

---

From: "radext issue tracker" <[email-masked]>
Date: Wed, 23 May 2012 14:01:38 -0000

Comment (by aland@…):

_______________________________________________
radext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/radext

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 23 May 2012 16:03:41 +0200

I missed that. Are people really using it? If yes, I would indicate the origin, it suddenly strikes me that RADIUS has this concept which I do not remember having been adopted by other IETF standards. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of radext issue tracker
> Sent: Wednesday, May 23, 2012 5:02 PM
> To: [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: Re: [radext] #119: 'levels of compliance'?
> 
> Ticket URL:
> <http://trac.tools.ietf.org/wg/radext/trac/ticket/119#comment:1>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 23 May 2012 16:03:41 +0200

Regards,

Dan

---

From: Alan DeKok <[email-masked]>
Date: Wed, 23 May 2012 16:09:38 +0200

Romascanu, Dan (Dan) wrote:
> I missed that. Are people really using it?

  That's a hard question to answer.

  In practice, no one seems to care about RADIUS compliance.

> If yes, I would indicate the origin, it suddenly strikes me that RADIUS has this concept which I do not remember having been adopted by other IETF standards. 

  I'm OK with deleting the text.

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Wed, 23 May 2012 16:09:38 +0200

Alan DeKok.